| EM datagrams on *.kmall format Reg.no. 410224 rev E

Data Fields
EMdgmMRZ_rxInfo_def Struct Reference

#MRZ - receiver specific information. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint16_t | numBytesRxInfo
uint16_t | numSoundingsMaxMain
uint16_t | numSoundingsValidMain
uint16_t | numBytesPerSounding
float | WCSampleRate
float | seabedImageSampleRate
float | BSnormal_dB
float | BSoblique_dB
uint16_t | extraDetectionAlarmFlag
uint16_t | numExtraDetections
uint16_t | numExtraDetectionClasses
uint16_t | numBytesPerClass

## Detailed Description

#MRZ - receiver specific information.

Information specific to the receiver unit used in this swath.

## Field Documentation

## ◆ numBytesRxInfo

uint16_t numBytesRxInfo

Bytes in current struct.

## ◆ numSoundingsMaxMain

uint16_t numSoundingsMaxMain

Maximum number of main soundings (bottom soundings) in this datagram, extra detections (soundings in water column) excluded. Also referred to as Nrx. Denotes how many bottom points (or loops) given in the struct EMdgmMRZ_sounding_def.

## ◆ numSoundingsValidMain

uint16_t numSoundingsValidMain

Number of main soundings of valid quality. Extra detections not included.

## ◆ numBytesPerSounding

uint16_t numBytesPerSounding

Bytes per loop of sounding (per depth point), i.e. bytes per loops of the struct EMdgmMRZ_sounding_def.

## ◆ WCSampleRate

float WCSampleRate

Sample frequency divided by water column decimation factor. Unit hertz.

## ◆ seabedImageSampleRate

float seabedImageSampleRate

Sample frequency divided by seabed image decimation factor. Unit hertz.

## ◆ BSnormal_dB

float BSnormal_dB

Backscatter level, normal incidence. Unit dB

## ◆ BSoblique_dB

float BSoblique_dB

Backscatter level, oblique incidence. Unit dB

## ◆ extraDetectionAlarmFlag

uint16_t extraDetectionAlarmFlag

extraDetectionAlarmFlag = sum of alarm flags. Range 0-10.

## ◆ numExtraDetections

uint16_t numExtraDetections

Sum of extradetection from all classes. Also refered to as Nd.

## ◆ numExtraDetectionClasses

uint16_t numExtraDetectionClasses

Range 0-10.

## ◆ numBytesPerClass

uint16_t numBytesPerClass

Number of bytes in the struct EMdgmMRZ_extraDetClassInfo_def.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h